Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-binutils-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-binutils-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-binutils-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,46 @@
+Name:           i686-pc-mingw32-binutils-helper
+Version:        0.20090717.0
+Release:        1%{?dist}
+Summary:        RTEMS binutils helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-binutils
+Requires:       mingw32-binutils
+Provides:	i686-pc-mingw32-binutils
+
+%define _prefix /usr
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+rm -rf .%{_prefix}/bin
+mkdir -p .%{_prefix}/bin
+pushd .%{_prefix}/bin
+for f in $(rpm -ql mingw32-binutils|grep /usr/bin); do \
+ln -s $f .; \
+done
+popd
+
+%install
+rm -rf $RPM_BUILD_ROOT
+mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
+cp -a .%{_prefix}/bin/* $RPM_BUILD_ROOT%{_prefix}/bin
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+
+%files
+%defattr(-,root,root,-)
+%{_prefix}
+
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-curses-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-curses-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-curses-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,26 @@
+Name:           i686-pc-mingw32-curses-helper
+Version:        0.20090717.0
+Release:        1%{?dist}
+Summary:        RTEMS mingw32 curses libs helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-pdcurses
+Requires:       mingw32-pdcurses
+Provides:	i686-pc-mingw32-ncurses
+Provides:	i686-pc-mingw32-ncurses-devel
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+
+%files
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-expat-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-expat-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-expat-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,26 @@
+Name:           i686-pc-mingw32-expat-helper
+Version:        0.20090717.0
+Release:        1%{?dist}
+Summary:        RTEMS mingw32 expat libs helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-expat
+Requires:       mingw32-expat
+Provides:	i686-pc-mingw32-expat
+Provides:	i686-pc-mingw32-expat-devel
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+
+%files
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-gcc-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-gcc-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-gcc-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,46 @@
+Name:           i686-pc-mingw32-gcc-helper
+Version:        0.20090717.0
+Release:        2%{?dist}
+Summary:        RTEMS gcc helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-gcc
+Requires:       mingw32-gcc
+Provides:	i686-pc-mingw32-gcc
+
+%define _prefix /usr
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+rm -rf .%{_prefix}/bin
+mkdir -p .%{_prefix}/bin
+pushd .%{_prefix}/bin
+for f in $(rpm -ql mingw32-gcc|grep /usr/bin); do \
+ln -s $f .; \
+done
+popd
+
+%install
+rm -rf $RPM_BUILD_ROOT
+mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
+cp -a .%{_prefix}/bin/* $RPM_BUILD_ROOT%{_prefix}/bin
+
+%clean
+rm -rf $RPM_BUILD_ROOT
+
+
+%files
+%defattr(-,root,root,-)
+%{_prefix}
+
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-readline-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-readline-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-readline-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,26 @@
+Name:           i686-pc-mingw32-readline-helper
+Version:        0.20090717.0
+Release:        1%{?dist}
+Summary:        RTEMS mingw32 readline libs helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-readline
+Requires:       mingw32-readline
+Provides:	i686-pc-mingw32-readline
+Provides:	i686-pc-mingw32-readline-devel
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+
+%files
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-termcap-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-termcap-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-termcap-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,26 @@
+Name:           i686-pc-mingw32-termcap-helper
+Version:        0.20090122.0
+Release:        1%{?dist}
+Summary:        RTEMS mingw32 termcap libs helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-termcap
+Requires:       mingw32-termcap
+Provides:	i686-pc-mingw32-termcap
+Provides:	i686-pc-mingw32-termcap-devel
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+
+%files
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-w32api-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-w32api-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-w32api-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,25 @@
+Name:           i686-pc-mingw32-w32api-helper
+Version:        0.20090717.0
+Release:        1%{?dist}
+Summary:        RTEMS mingw32 runtime libs helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-w32api
+Requires:       mingw32-w32api
+Provides:	i686-pc-mingw32-w32api
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+
+%files
+
+%changelog
Index: contrib/crossrpms/mingw32/i686/i686-pc-mingw32-zlib-helper.spec
===================================================================
--- contrib/crossrpms/mingw32/i686/i686-pc-mingw32-zlib-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
+++ contrib/crossrpms/mingw32/i686/i686-pc-mingw32-zlib-helper.spec	(revision cbfa82a95ed32c492f9ca13813406b32d2d58419)
@@ -0,0 +1,26 @@
+Name:           i686-pc-mingw32-zlib-helper
+Version:        0.20090717.0
+Release:        1%{?dist}
+Summary:        RTEMS mingw32 zlib libs helper
+
+Group:          Development
+License:        GPLv3+
+BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+
+BuildArch:	noarch
+BuildRequires:  mingw32-zlib
+Requires:       mingw32-zlib
+Provides:	i686-pc-mingw32-zlib
+Provides:	i686-pc-mingw32-zlib-devel
+
+%description
+%{summary}
+
+%prep
+%setup -q -c -T -n %{name}-%{version}
+
+%build
+
+%files
+
+%changelog
